Summary:	LCDproc displays real-time system information on a 20x4 backlit LCD
Name:   	lcdproc	
Version:	0.5.1
Release:	1%{?dist}
License:	GPL
Url:       	http://lcdproc.omnipotent.net
Group:     	System Environment/Libraries	
Source0: 	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  doxygen
BuildRequires:  graphviz

BuildRequires:  libusb-devel
BuildRequires:	ncurses-devel
BuildRequires:  nfs-utils-lib-devel
BuildRequires:  openldap-devel

Requires(post): /sbin/chkconfig
Requires(postun): /sbin/chkconfig



%description
LCDproc is a client/server suite inclduding drivers for all
kinds of nifty LCD displays. The server supports several
serial devices: Matrix Orbital, Crystal Fontz, Bayrad, LB216, 
LCDM001 (kernelconcepts.de), Wirz-SLI and PIC-an-LCD; and some 
devices connected to the LPT port: HD44780, STV5730, T6963, 
SED1520 and SED1330. Various clients are available that display 
things like CPU load, system load, memory usage, uptime, and a lot more. 
See also http://lcdproc.omnipotent.net. 



%prep
%setup -q
chmod 644 server/drivers/timing.h


%build
%configure --libdir=%{_libdir} \
  --enable-libusb \
  --enable-ldap \
  --enable-drivers=all \
  --enable-permissive-menu-goto \
  --enable-lcdproc-menus \
  --enable-stat-nfs \
  --enable-stat-smbfs \
  --with-lcdport=13666

sed -i -e 's|-L/usr/lib|-L%{_libdir}|g' Makefile
  
make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
make install DESTDIR=$RPM_BUILD_ROOT

# init
install -d 		$RPM_BUILD_ROOT%{_initrddir}
install scripts/init-LCDd.rpm  $RPM_BUILD_ROOT%{_initrddir}/LCDd
install scripts/init-lcdproc.rpm  $RPM_BUILD_ROOT%{_initrddir}/lcdproc


%post
/sbin/chkconfig --add LCDd



%preun 
/sbin/chkconfig --del LCDd



%clean
rm -rf $RPM_BUILD_ROOT 

%files
%defattr(-,root,root,-)
%doc README* INSTALL COPYING TODO ChangeLog 
%{_bindir}/*
%dir %{_libdir}/lcdproc
%{_libdir}/lcdproc/*
%{_sbindir}/*
%{_mandir}/man?/*
%config(noreplace) %{_sysconfdir}/*.conf
%{_initrddir}/LCDd
%{_initrddir}/lcdproc


%changelog
* Tue Apr 17 2007 kwizart < kwizart at gmail.com > 0.5.1-1
- Cleaned spec files for Fedora guidelines.

* Fri Sep 26 2003 TC Wan <tcwan@cs.usm.my>
- Fixed spec file for RH 9, made metar dependency optional

* Sun Oct  6 2002 Arnaud de Lorbeau <adelorbeau@mandrakesoft.com> 0.4.3-2mdk
- Add docs

* Thu Sep 12 2002 Nicolas Chipaux <chipaux@mandrakesoft.com> 0.4.3-1mdk
- new release

* Fri Oct 26 2001 Rex Dieter <rdieter@unl.edu> 0.4.1-1
- --enable-stat-smbfs
- TODO: make server/client init scripts

* Mon Oct 22 2001 Rex Dieter <rdieter@unl.edu> -0
- first try, 0.4.1 
- --enable-stat-nfs

